Bug 863219 - [abrt] Zim-0.56-3.fc17: pageindex.py:165:on_changed:ValueError: invalid tree path
[abrt] Zim-0.56-3.fc17: pageindex.py:165:on_changed:ValueError: invalid tree ...
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-04 13:58 EDT by jibecfed
Modified: 2013-04-29 05:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: Zim-0.58-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-29 05:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: core_backtrace (112 bytes, text/plain)
2012-10-04 13:59 EDT, jibecfed
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 915037 None None None 2012-10-08 22:39:59 EDT

  None (edit)
Description jibecfed 2012-10-04 13:58:53 EDT
Version-Release number of selected component:

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /usr/bin/zim
kernel:         3.5.4-2.fc17.x86_64

:pageindex.py:165:on_changed:ValueError: invalid tree path
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageindex.py", line 165, in on_changed
:    treeiter = self.get_iter(treepath)
:ValueError: invalid tree path
:Local variables in innermost frame:
:path: <IndexPath: Home>
:signal: 'row-has-child-toggled'
:treepath: (0,)
:o: <Index object at 0x7fd8295c0690 (zim+index+Index at 0x1f02ec0)>
:self: <PageTreeStore object at 0x7fd8295c06e0 (zim+gui+pageindex+PageTreeStore at 0x1f02ee0)>
Comment 1 jibecfed 2012-10-04 13:59:04 EDT
Created attachment 621761 [details]
File: core_backtrace
Comment 2 Robin Lee 2013-01-07 22:27:13 EST
Upstream fixed a similar but not quite the same bug (lp#915037). Wait for new report.

Note You need to log in before you can comment on or make changes to this bug.